> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ton.org/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.ton.org/feedback

```json
{
  "path": "/ecosystem/api/toncenter/v3/utils/decode-opcodes-and-bodies",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Decode Opcodes and Bodies

> Decode opcodes and message bodies. Opcodes can be in hex (with or without 0x prefix) or decimal format. Bodies should be in base64 or hex format.



## OpenAPI

````yaml get /api/v3/decode
openapi: 3.0.0
info:
  title: TON Index (Go)
  description: >-
    TON Index collects data from a full node to PostgreSQL database and provides
    convenient API to an indexed blockchain.
  version: 1.2.4-rc
  contact: {}
servers:
  - url: https://toncenter.com
  - url: https://testnet.toncenter.com
security: []
paths:
  /api/v3/decode:
    get:
      tags:
        - Utils
      summary: Decode Opcodes and Bodies
      description: >-
        Decode opcodes and message bodies. Opcodes can be in hex (with or
        without 0x prefix) or decimal format. Bodies should be in base64 or hex
        format.
      operationId: api_v3_get_decode
      parameters:
        - name: opcodes
          in: query
          description: List of opcodes to decode (hex or decimal)
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: bodies
          in: query
          description: List of message bodies to decode (base64 or hex)
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DecodeResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestError'
      security: []
components:
  schemas:
    DecodeResponse:
      type: object
      properties:
        bodies:
          type: array
          items:
            type: object
            additionalProperties: true
        opcodes:
          type: array
          items:
            type: string
    RequestError:
      type: object
      properties:
        code:
          type: integer
        error:
          type: string

````